/*
 * @Author: Kane
 * @Date: 2023-09-21 11:35:57
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/web/controllers/rewards/DeleteTelsalerRequest.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.web.controllers.rewards;

import java.util.Arrays;
import com.fasterxml.jackson.annotation.JsonProperty;

public class DeleteTelsalerRequest
{
    public DeleteTelsalerRequest() {}

    public DeleteTelsalerRequest( int[] recordID)
    {
        this.recordID = recordID;
    }

    @Override
    public String toString()
    {
        return "DeleteTelsalerRequest [recordID=" + Arrays.toString( recordID ) + "]";
    }

    @Override
    public int hashCode()
    {
        final int prime = 31;
        int result = 1;
        result = prime * result + Arrays.hashCode( recordID );
        return result;
    }

    @Override
    public boolean equals( Object obj )
    {
        if ( this == obj )
            return true;
        if ( obj == null )
            return false;
        if ( getClass() != obj.getClass() )
            return false;
        DeleteTelsalerRequest other = (DeleteTelsalerRequest) obj;
        if ( !Arrays.equals( recordID, other.recordID ) )
            return false;
        return true;
    }

    public int[] getRecordID()
    {
        return recordID;
    }

    public void setRecordID( int[] recordID )
    {
        this.recordID = recordID;
    }

    @JsonProperty("recordID")
    private int[] recordID;
}